# TRTCRenderParams class Null safety

Remote image parameters

## Constructors

TRTCRenderParams({int rotation = TRTCCloudDef.TRTC_VIDEO_ROTATION_0, int fillMode = TRTCCloudDef.TRTC_VIDEO_RENDER_MODE_FILL, int mirrorType = TRTCCloudDef.TRTC_VIDEO_MIRROR_TYPE_AUTO})

## Properties

fillMode ↔ int
  Field description: image rendering mode
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
mirrorType ↔ int
  Field description: mirror mode
  read / write
rotation ↔ int
  Field description: clockwise image rotation angle
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited